ukui-window-switch (4.21.1.0-ok0.4) nile; urgency=medium

  * Issues：无
  * 其他：
    -fix(wlcom):修复工作区和窗口预览在窗口隐藏时未正确停止的问题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Fri, 17 Oct 2025 17:49:46 +0800

ukui-window-switch (4.21.1.0-ok0.3) nile; urgency=medium

  * Issues：无
  * 其他：
    -fix(windowsiew): 修复由于未更新outputId导致工作区预览图为空白问题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Sat, 11 Oct 2025 18:07:24 +0800

ukui-window-switch (4.21.1.0-ok0.2) nile; urgency=medium

  * Issues：无
  * 其他：
    -fix(windowsview/qml): 调整工作区标题行布局

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Sat, 11 Oct 2025 14:37:24 +0800

ukui-window-switch (4.21.1.0-ok0.1) nile; urgency=medium

  * Issues: 无
  * 其他:
    -feat(windowsview):关闭按钮适配无鼠标触摸屏场景
    -feat(windowsview): 新增screen-manager,优化屏幕增删逻辑
    -perf(windowsview): 优化多任务视图响应速度
    -perf(windowsview): 优化交互逻辑

 -- zhangyuanyuan1 <zhangyuanyuan1@klyinos.cn>  Tue, 30 Sep 2025 16:36:03 +0800

ukui-window-switch (4.20.2.4-ok0.8) nile; urgency=medium

  * Issues：无
  * 其他：
    -更新中文简体和繁体翻译
    -按设计要求调整横向工作区布局方向键走焦边框显示
    -修复应用多桌面显示删除异常问题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Tue, 09 Sep 2025 18:00:45 +0800

ukui-window-switch (4.20.2.4-ok0.7) nile; urgency=medium

  * Issues：无
  * 其他：
    -perf: replace ToolTip by ukui-quick Tooltip
    -perf(qml): pc mode, replace qqc Scrollbar by ukui-quick DtThemeScrollBar
    -fix(windowsview): 适配wlcom libkywc设置工作区名称接口
    -translations: add vi.ts

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Fri, 08 Aug 2025 16:22:45 +0800

ukui-window-switch (4.20.2.4-ok0.6) nile; urgency=medium

  * Issues：无
  * 其他：
    -fix(wlcom): 去掉新增窗口退出逻辑，增加失焦退出逻辑
    -fix(wlcom): 修复显示多任务视图后打开应用窗口，不显示新增预览窗口问题
    -更新翻译文件

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Thu, 24 Jul 2025 14:30:14 +0800

ukui-window-switch (4.20.2.4-ok0.5) nile; urgency=medium

  * Issues：无
  * 其他：
    -fix(wlcom): 修复alt-tab切换有子窗口的窗口，预览窗口顺序不变问题
    -fix(wlcom): 修复多屏模式特定场景查找output错误的问题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Thu, 03 Jul 2025 09:47:09 +0800

ukui-window-switch (4.20.2.4-ok0.4) nile; urgency=medium

  * Issues：无
  * 其他：
    -fix(wlcom): 补全键盘导航数据埋点
    -fix(windowsview): 修复控件显示问题
    -fix(windowsview): 修复从主屏拖拽应用预览窗至副屏拖拽目标消失问题
    -fix(wlcom alt-tab): 修复预览窗超出显示区域时，按alt键切换无法触发界面滚动问题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Mon, 23 Jun 2025 16:46:57 +0800

ukui-window-switch (4.20.2.4-ok0.3) nile; urgency=medium

  * Issues：无
  * 其他：
    -fix(wlcom): show alt-tab view on current screen
    -fix(wlcom): 使用ukui-quick接口替换sdk接口设置窗口层级和属性
    -fix(qml/CloseButton): 鼠标按键释放后设置按钮状态为'hover'
    -fix(qml/VirtualDesktopWindow): 剩余1个工作区时不解除默认名称绑定

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Mon, 09 Jun 2025 11:18:21 +0800

ukui-window-switch (4.20.2.4-ok0.2) nile; urgency=medium

  * nile-sp2传包

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Fri, 30 May 2025 16:28:25 +0800

ukui-window-switch (4.20.2.4-ok0.1) huanghe; urgency=medium

  * Issues：无
  * 其他：
    -fix(wlcom): 预览窗标题为空时显示应用名称
    -fix(qml/CloseButton): 修复圆形按钮显示不全问题
    -fix(appwindowlistmodel): 修复删除工作区应用预览窗口显示未同步问题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Fri, 30 May 2025 16:04:36 +0800

ukui-window-switch (4.20.2.3-ok0.1) huanghe; urgency=medium

  * Issues：无
  * 其他：
    -fix(dt)：修改快速预览窗口描边阴影背景色
    -pref(wlcom): 优化快速预览窗口实现
    -fix(wlcom): 快速预览窗口外描边宽度自适应
    -fix(wlcom): 增加一种应用图标获取方法
    -fix(wlcom): 替换kysdk-ukuiwindowhelper接口

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Mon, 26 May 2025 17:08:52 +0800

ukui-window-switch (4.20.2.2-ok0.1) huanghe; urgency=medium

  * Issue：无
  * 其他：
    -feat: 工作区区域添加水平滚动条
    -fix(dt): 修改边框默认颜色
    -fix: 修复应用区域up/down键盘导航

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Mon, 28 Apr 2025 17:40:28 +0800

ukui-window-switch (4.20.2.1-ok0.1) huanghe; urgency=medium

  * Issue：
     https://gitee.com/openkylin/ukui-window-switch/issues/IBBK8K
     https://gitee.com/openkylin/ukui-window-switch/issues/IBFLY5
  * 其他：
    -fix(wlcom windowsview): 点击有子窗口的窗口的关闭按钮时激活该窗口

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Fri, 18 Apr 2025 16:45:36 +0800

ukui-window-switch (4.20.2.0-ok0.1) huanghe; urgency=medium

  * Issue：https://gitee.com/openkylin/ukui-window-switch/issues/IBBNEI
  * 其他：
    -fix(windowsview): kwin多任务视图显示独立的Dialog弹窗
    -feat(ui): 适配dt主题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Fri, 11 Apr 2025 09:53:50 +0800

ukui-window-switch (4.20.1.0-ok0.1) huanghe; urgency=medium

  * Issue：无
  * 其他：
    -perf：优化CmakeLists.txt结构，调整翻译文件生成与安装机制
    -feat：增加自定义flow UkuiFlow，增加编译依赖qtdeclarative5-private-dev
    -perf：优化应用预览窗居中动画和键盘走焦
    -perf：优化应用区域和工作区滑动交互
    -docs：更新control
    -docs: 更新copyright

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Wed, 12 Mar 2025 17:34:18 +0800

ukui-window-switch (4.20.0.2-ok0) huanghe; urgency=medium

  * Issue：
      https://gitee.com/openkylin/ukui-window-switch/issues/IBBMND
      https://gitee.com/openkylin/ukui-window-switch/issues/IBBJ3F
      https://gitee.com/openkylin/ukui-window-switch/issues/IBBJ0D
  * 其他：
      -fix(Toplevel): get toplevel parent by kywc interface

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Mon, 13 Jan 2025 10:09:28 +0800

ukui-window-switch (4.20.0.1-ok0) huanghe; urgency=medium

  * Issue：
      https://gitee.com/openkylin/ukui-window-switch/issues/IBBKDE
      https://gitee.com/openkylin/ukui-window-switch/issues/IBBK12
  * 其他：
      -perf：优化模糊算法提升图片处理效率
      -fix： 对特殊格式转换避免处理异常

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Fri, 03 Jan 2025 17:36:19 +0800

ukui-window-switch (4.20.0.0-ok0.2) huanghe; urgency=medium

  * Issue：无
  * 其他：修改依赖格式

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Wed, 04 Dec 2024 18:48:36 +0800

ukui-window-switch (4.20.0.0-ok0.1) huanghe; urgency=medium

  * Issue：无
  * 其他：添加编译依赖

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Wed, 04 Dec 2024 17:07:28 +0800

ukui-window-switch (4.20.0.0-ok0) huanghe; urgency=medium

  * Issue：无
  * 其他：
    -fix(tabbox.qml)去掉引用的无用模块
    -fix(output.cpp)修正KWYC枚举值拼写，解决编译报错问题
    -feat(wlcom): 添加日志输出为log文件
    -fix(desktopbackground.cpp): 修复背景为'适应'模式多任务视图与桌面显示不一致问题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Tue, 03 Dec 2024 10:43:44 +0800

ukui-window-switch (4.10.2.0-ok0) huanghe; urgency=medium

  * Issue：https://gitee.com/openkylin/ukui-window-switch/issues/IB6BUF
  * 需求：多任务视图工作区名称自定义功能
  * 其他：优化模型和视图模块代码

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Thu, 28 Nov 2024 18:21:03 +0800

ukui-window-switch (4.10.1.10-ok1.1) nile; urgency=medium

  * Issue: 无
  * 其他：修复shift+alt+tab快捷键切换后窗口不消失问题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Thu, 21 Nov 2024 11:20:26 +0800

ukui-window-switch (4.10.1.10-ok1) nile; urgency=medium

  * rebuild

 -- zhangyuanyan1 <zhangyuanyuan1@kylinos.cn>  Wed, 23 Oct 2024 14:14:58 +0800

ukui-window-switch (4.10.1.10-ok0) nile; urgency=medium

  * Issue：无
  * 其他：fix the dbus for kwin

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Wed, 23 Oct 2024 14:03:12 +0800

ukui-window-switch (4.10.1.9-ok0) nile; urgency=medium

  * Issue: https://gitee.com/openkylin/ukui-window-switch/issues/IAID8L

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Mon, 23 Sep 2024 14:35:06 +0800

ukui-window-switch (4.10.1.8-ok0) nile; urgency=medium

  * Issue: https://gitee.com/openkylin/kwin/issues/IAOG5O

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Thu, 12 Sep 2024 14:39:28 +0800

ukui-window-switch (4.10.1.7-ok0) nile; urgency=medium

  * Issue：https://gitee.com/openkylin/ukui-touch-settings-plugin/issues/I9QJ3G
           https://gitee.com/openkylin/ukui-touch-settings-plugin/issues/I9QJ6B
           https://gitee.com/openkylin/ukui-touch-settings-plugin/issues/I9QJB0
           https://gitee.com/openkylin/ukui-touch-settings-plugin/issues/I9QJCU
           https://gitee.com/openkylin/ukui-touch-settings-plugin/issues/I9QJXN
           https://gitee.com/openkylin/ukui-touch-settings-plugin/issues/I9QJXN
           https://gitee.com/openkylin/ukui-touch-settings-plugin/issues/I9QK9W
           https://gitee.com/openkylin/ukui-touch-settings-plugin/issues/I9QKDF
  * 其他：
    -添加平板模式布局方向属性
    -补全wlcom显示桌面接口

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Fri, 30 Aug 2024 11:02:33 +0800

ukui-window-switch (4.10.1.6-ok0) nile; urgency=medium

  * Issue：https://gitee.com/openkylin/ukui-window-switch/issues/IAH6D7?from=project-issue
  * 其他：
    -更新翻译

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Mon, 05 Aug 2024 16:28:15 +0800

ukui-window-switch (4.10.1.5-ok0) nile; urgency=medium

  * Issue: 无
  * 其他:
    -修复窗口选择界面默认焦点不在第二个窗口的问题
    -修复窗口选择界面关闭后预览图资源未释放问题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Tue, 16 Jul 2024 17:07:02 +0800

ukui-window-switch (4.10.1.4-ok0) nile; urgency=medium

  * Issue: https://gitee.com/openkylin/ukui-window-switch/issues/IA7RVO?from=project-issue
  * 其他:
    -修复wlcom关闭工作区概率性崩溃问题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Wed, 10 Jul 2024 17:50:29 +0800

ukui-window-switch (4.10.1.3-ok0) nile; urgency=medium

  * Issue: https://gitee.com/openkylin/ukui-window-switch/issues/I8YR0X?from=project-issue
           https://gitee.com/openkylin/ukui-window-switch/issues/I9JDTK?from=project-issue
           https://gitee.com/openkylin/ukui-window-switch/issues/I9KLQL?from=project-issue
           https://gitee.com/openkylin/ukui-window-switch/issues/I9T078?from=project-issue
  * 其他:
    - 修复thumbnail资源释放问题

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Thu, 04 Jul 2024 13:39:38 +0800

ukui-window-switch (4.10.1.2-ok0) nile; urgency=medium

  * 调整多任务视图布局在维哈柯环境为从右到左

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Thu, 04 Jul 2024 11:01:47 +0800

ukui-window-switch (4.10.1.1-ok3) nile; urgency=medium

  * 修改版本号重编

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Wed, 19 Jun 2024 17:57:09 +0800

ukui-window-switch (4.10.1.1-ok2) nile; urgency=medium

  * mode is null when output is disabled

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Wed, 19 Jun 2024 17:42:09 +0800

ukui-window-switch (4.10.1.1-ok1) nile; urgency=medium

  * 无窗口时按下alt-tab，窗口切换界面不会开启
  * 增加窗口切换界面失焦后自动关闭的功能
  * alt-tab界面添加毛玻璃

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Thu, 30 May 2024 19:47:00 +0800

ukui-window-switch (4.10.1.0-ok0) nile; urgency=medium

  * 修改版本号重编

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Tue, 28 May 2024 10:38:55 +0800

ukui-window-switch (4.10.0.0-ok0.1) nile; urgency=medium

  * 适配wlcom

 -- jiaodian <jiaodian@kylinos.cn>  Fri, 24 May 2024 16:53:53 +0800

ukui-window-switch (4.10.0.0-ok0.0) nile; urgency=medium

  * upstream version 4.10.0.0

 -- zhangyuanyuan1 <zhangyuanyuan1@kylinos.cn>  Wed, 22 May 2024 16:09:57 +0800

ukui-window-switch (4.0.0.0-ok0.12) nile; urgency=medium

  * No change rebuild

 -- CI Bot <cibot@openkylin.top>  Tue, 21 May 2024 03:50:41 +0000

ukui-window-switch (4.0.0.0-ok0.11) nile; urgency=medium

  * 修改多任务视图，增加窗口垂直居中功能

 -- jiaodian <jiaodian@kylinos.cn>  Wed, 06 Mar 2024 15:46:00 +0800

ukui-window-switch (4.0.0.0-ok0.10) nile; urgency=medium

  * 修改多任务视图圆角，适配主题大小
  * 修改多任务视图新建工作区按钮大小
  * 增加多任务视图背景深色蒙层

 -- jiaodian <jiaodian@kylinos.cn>  Thu, 22 Feb 2024 14:02:43 +0800

ukui-window-switch (4.0.0.0-ok0.9) nile; urgency=medium

  * 修改多任务视图平板模式的缩略图大小算法，解决缩略图大于边框的问题

 -- jiaodian <jiaodian@kylinos.cn>  Tue, 12 Dec 2023 17:20:20 +0800

ukui-window-switch (4.0.0.0-ok0.8) nile; urgency=medium

  * 修改多任务视图的开启和关闭事件的数据上传方式

 -- jiaodian <jiaodian@kylinos.cn>  Tue, 21 Nov 2023 15:32:15 +0800

ukui-window-switch (4.0.0.0-ok0.7) nile; urgency=medium

  * 规范数据上传的格式

 -- jiaodian <jiaodian@kylinos.cn>  Thu, 16 Nov 2023 15:36:06 +0800

ukui-window-switch (4.0.0.0-ok0.6) yangtze; urgency=medium

  * 增加走焦所在区域的数据埋点

 -- jiaodian <jiaodian@kylinos.cn>  Thu, 16 Nov 2023 09:41:45 +0800

ukui-window-switch (4.0.0.0-ok0.5) yangtze; urgency=medium

  * 增加数据埋点功能

 -- jiaodian <jiaodian@kylinos.cn>  Tue, 14 Nov 2023 16:28:14 +0800

ukui-window-switch (4.0.0.0-ok0.4) yangtze; urgency=medium

  * 增加维，哈，柯，蒙，藏，繁体语言支持

 -- jiaodian <jiaodian@kylinos.cn>  Fri, 10 Nov 2023 09:33:31 +0800

ukui-window-switch (4.0.0.0-ok0.3) yangtze; urgency=medium

  * 优化走焦逻辑：多任务视图首次按键激活走焦框，应用区上下箭头键增加首尾循环导航

 -- jiaodian <jiaodian@kylinos.cn>  Thu, 02 Nov 2023 16:58:27 +0800

ukui-window-switch (4.0.0.0-ok0.2) yangtze; urgency=medium

  * 修改打开多任务视图，开始菜单等窗口不关闭的问题

 -- jiaodian <jiaodian@kylinos.cn>  Mon, 17 Jul 2023 17:41:40 +0800

ukui-window-switch (4.0.0.0-ok0.1build2) yangtze; urgency=medium

  * rebuild for build error

 -- pangyi <pangyi@kylinos.cn>  Tue, 16 May 2023 11:04:05 +0800

ukui-window-switch (4.0.0.0-ok0.1build1) yangtze; urgency=medium

  * rebuild for build error 

 -- pangyi <pangyi@kylinos.cn>  Tue, 16 May 2023 10:11:08 +0800

ukui-window-switch (4.0.0.0-ok0.1) yangtze; urgency=medium

  * 简化多任务视图前端代码，去除过度封装代码

 -- pangyi <pangyi@kylinos.cn>  Tue, 16 May 2023 09:10:53 +0800

ukui-window-switch (4.0.0.0-ok0.0) yangtze; urgency=medium

  * upstream version 4.0.0.0

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Wed, 12 Apr 2023 18:58:19 +0800

ukui-window-switch (3.22.1.4-ok1.7build1) yangtze; urgency=medium

  * 完善走焦映射判断逻辑 close: #I5XHDA, #I5XHGH
  * rebuild with new version of kwin

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Wed, 04 Jan 2023 17:54:43 +0800

ukui-window-switch (3.22.1.4-ok1.7) yangtze; urgency=medium

  * 完善走焦映射判断逻辑 close: #I5XHDA, #I5XHGH

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Fri, 16 Dec 2022 17:01:44 +0800

ukui-window-switch (3.22.1.4-ok1.6) yangtze; urgency=medium

  * rebuild for kwin updates;

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Thu, 08 Dec 2022 20:46:38 +0800

ukui-window-switch (3.1.1.0-ok1.5build1) yangtze; urgency=medium

  * rebuild for kwin updates;

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Wed, 30 Nov 2022 11:30:48 +0800

ukui-window-switch (3.1.1.0-ok1.5) yangtze; urgency=medium

  * fix draw background picture failed
  * fix thumbnails cover the upper and lower boundaries
  * fix the animation effects

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Wed, 23 Nov 2022 14:09:00 +0800

ukui-window-switch (3.1.1.0-ok1.4) yangtze; urgency=medium

  * fix that signals does not work on PC mode;
  * fix 3 states of close button on PC mode;

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Fri, 21 Oct 2022 14:09:00 +0800

ukui-window-switch (3.1.1.0-ok1.3) yangtze; urgency=medium

  * use blacklist to filter windows

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Fri, 21 Oct 2022 10:43:59 +0800

ukui-window-switch (3.1.1.0-ok1.2) yangtze; urgency=medium

  * add build dependence;

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Thu, 20 Oct 2022 16:59:57 +0800

ukui-window-switch (3.1.1.0-ok1.1) yangtze; urgency=medium

  * new upstream 3.1.1.0

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Thu, 20 Oct 2022 16:17:43 +0800

ukui-window-switch (3.1.0.0k2.16-ok2~0719) yangtze; urgency=medium

  * build for openKylin
  * Ignore some utility windows;

 -- Xie Wei <xiewei@kylinos.cn>  Sun, 19 Jun 2022 14:52:01 +0800
